XYZ File Manager
Current Path:
/usr/sbin
usr
/
sbin
/
📁
..
📄
a2disconf
(15.86 KB)
📄
a2dismod
(15.86 KB)
📄
a2dissite
(15.86 KB)
📄
a2enconf
(15.86 KB)
📄
a2enmod
(15.86 KB)
📄
a2ensite
(15.86 KB)
📄
a2query
(9.6 KB)
📄
add-shell
(1.03 KB)
📄
addgroup
(47.25 KB)
📄
adduser
(47.25 KB)
📄
agetty
(67.49 KB)
📄
apache2
(712.5 KB)
📄
apache2ctl
(7.19 KB)
📄
apachectl
(7.19 KB)
📄
arp
(66.13 KB)
📄
arpd
(104.48 KB)
📄
badblocks
(34.25 KB)
📄
blkdeactivate
(15.96 KB)
📄
blkdiscard
(34.31 KB)
📄
blkid
(122.34 KB)
📄
blkzone
(78.31 KB)
📄
blockdev
(78.31 KB)
📄
bridge
(152.54 KB)
📄
capsh
(53.29 KB)
📄
chcpu
(46.3 KB)
📄
check_forensic
(952 B)
📄
chgpasswd
(66.29 KB)
📄
chmem
(66.31 KB)
📄
chpasswd
(62.36 KB)
📄
chroot
(46.98 KB)
📄
cpgr
(60.43 KB)
📄
cppw
(60.43 KB)
📄
ctrlaltdel
(38.3 KB)
📄
dcb
(144.6 KB)
📄
debugfs
(233.83 KB)
📄
delgroup
(16.33 KB)
📄
deluser
(16.33 KB)
📄
devlink
(220.98 KB)
📄
dhclient
(2.63 MB)
📄
dhclient-script
(14.21 KB)
📄
dmsetup
(166.98 KB)
📄
dmstats
(166.98 KB)
📄
dpkg-fsys-usrunmess
(16.99 KB)
📄
dpkg-preconfigure
(3.83 KB)
📄
dpkg-reconfigure
(4.38 KB)
📄
dumpe2fs
(30.31 KB)
📄
e2freefrag
(14.3 KB)
📄
e2fsck
(348.27 KB)
📄
e2image
(54.45 KB)
📄
e2label
(114.52 KB)
📄
e2mmpstatus
(30.31 KB)
📄
e2scrub
(7.12 KB)
📄
e2scrub_all
(5.27 KB)
📄
e2undo
(22.3 KB)
📄
e4crypt
(26.3 KB)
📄
e4defrag
(30.23 KB)
📄
faillock
(14.24 KB)
📄
filefrag
(18.26 KB)
📄
findfs
(14.3 KB)
📄
fsck
(54.36 KB)
📄
fsck.cramfs
(42.37 KB)
📄
fsck.ext2
(348.27 KB)
📄
fsck.ext3
(348.27 KB)
📄
fsck.ext4
(348.27 KB)
📄
fsck.minix
(122.34 KB)
📄
fsfreeze
(14.3 KB)
📄
fstab-decode
(14.23 KB)
📄
fstrim
(74.31 KB)
📄
genl
(116.51 KB)
📄
getcap
(14.23 KB)
📄
getpcaps
(14.23 KB)
📄
getty
(67.49 KB)
📄
groupadd
(99.04 KB)
📄
groupdel
(90.85 KB)
📄
groupmems
(66.33 KB)
📄
groupmod
(99.01 KB)
📄
grpck
(66.3 KB)
📄
grpconv
(58.14 KB)
📄
grpunconv
(58.14 KB)
📄
halt
(1.29 MB)
📄
httxt2dbm
(14.23 KB)
📄
hwclock
(86.44 KB)
📄
iconvconfig
(30.84 KB)
📄
ifconfig
(82.01 KB)
📄
ifdown
(86.16 KB)
📄
ifquery
(86.16 KB)
📄
ifup
(86.16 KB)
📄
init
(90.38 KB)
📄
installkernel
(2.6 KB)
📄
invoke-rc.d
(16.13 KB)
📄
ip
(674.82 KB)
📄
ipmaddr
(18.56 KB)
📄
iptunnel
(26.55 KB)
📄
isosize
(30.31 KB)
📄
killall5
(26.31 KB)
📄
ldattach
(34.31 KB)
📄
ldconfig
(959.84 KB)
📄
locale-gen
(1.38 KB)
📄
logsave
(14.09 KB)
📄
losetup
(114.42 KB)
📄
make-ssl-cert
(6.65 KB)
📄
mii-tool
(27.08 KB)
📄
mke2fs
(138.58 KB)
📄
mkfs
(14.3 KB)
📄
mkfs.bfs
(34.31 KB)
📄
mkfs.cramfs
(42.24 KB)
📄
mkfs.ext2
(138.58 KB)
📄
mkfs.ext3
(138.58 KB)
📄
mkfs.ext4
(138.58 KB)
📄
mkfs.minix
(110.32 KB)
📄
mkhomedir_helper
(22.27 KB)
📄
mklost+found
(14.23 KB)
📄
mkswap
(114.31 KB)
📄
nameif
(14.65 KB)
📄
newusers
(102.92 KB)
📄
nologin
(14.23 KB)
📄
pam-auth-update
(20.79 KB)
📄
pam_getenv
(2.82 KB)
📄
pam_namespace_helper
(467 B)
📄
pam_timestamp_check
(14.24 KB)
📄
paperconfig
(4.07 KB)
📄
phpdismod
(7.11 KB)
📄
phpenmod
(7.11 KB)
📄
phpquery
(6.24 KB)
📄
pivot_root
(14.3 KB)
📄
plipconfig
(14.48 KB)
📄
poweroff
(1.29 MB)
📄
pwck
(58.26 KB)
📄
pwconv
(54.13 KB)
📄
pwhistory_helper
(18.24 KB)
📄
pwunconv
(54.17 KB)
📄
rarp
(37.13 KB)
📄
readprofile
(34.34 KB)
📄
reboot
(1.29 MB)
📄
remove-shell
(1.08 KB)
📄
resize2fs
(62.3 KB)
📄
rmt
(59.02 KB)
📄
rmt-tar
(59.02 KB)
📄
route
(69.17 KB)
📄
rtacct
(44.37 KB)
📄
rtcwake
(46.31 KB)
📄
rtmon
(112.45 KB)
📄
runlevel
(1.29 MB)
📄
runuser
(70.31 KB)
📄
service
(8.89 KB)
📄
setcap
(14.23 KB)
📄
shadowconfig
(2.22 KB)
📄
shutdown
(1.29 MB)
📄
slattach
(41.2 KB)
📄
split-logfile
(2.36 KB)
📄
sshd
(1.21 MB)
📄
start-stop-daemon
(43.42 KB)
📄
sulogin
(54.31 KB)
📄
swaplabel
(18.3 KB)
📄
swapoff
(22.3 KB)
📄
swapon
(50.3 KB)
📄
switch_root
(18.3 KB)
📄
sysctl
(30.31 KB)
📄
tarcat
(936 B)
📄
tc
(574 KB)
📄
telinit
(1.29 MB)
📄
tipc
(152.6 KB)
📄
tune2fs
(114.52 KB)
📄
unix_chkpwd
(38.24 KB)
📄
unix_update
(38.24 KB)
📄
update-ca-certificates
(5.29 KB)
📄
update-fonts-alias
(5.71 KB)
📄
update-fonts-dir
(3.98 KB)
📄
update-fonts-scale
(6.1 KB)
📄
update-gsfontmap
(470 B)
📄
update-locale
(2.99 KB)
📄
update-passwd
(38.49 KB)
📄
update-rc.d
(17.33 KB)
📄
update-shells
(3.89 KB)
📄
useradd
(155.8 KB)
📄
userdel
(110.95 KB)
📄
usermod
(143.61 KB)
📄
validlocale
(1.73 KB)
📄
vdpa
(116.66 KB)
📄
vigr
(72.64 KB)
📄
vipw
(72.64 KB)
📄
wipefs
(46.31 KB)
📄
zic
(58.73 KB)
📄
zramctl
(114.42 KB)
Editing: update-fonts-alias
#!/bin/sh # $Id: update-fonts-alias 189 2005-06-11 00:04:27Z branden $ # This program compiles fonts.alias files for X font directories; see # mkfontdir(1x) for a description of the format of fonts.alias files. # Copyright 1999, 2001, 2002, 2004 Branden Robinson. # Copyright 2006 Steve Langasek. # Licensed under the GNU General Public License, version 2. See the file # /usr/share/common-licenses/GPL or <https://www.gnu.org/copyleft/gpl.txt>. PROGNAME=${0##*/} # Query the terminal to establish a default number of columns to use for # displaying messages to the user. This is used only as a fallback in the event # the COLUMNS variable is not set. ($COLUMNS can react to SIGWINCH while the # script is running, and this cannot, only being calculated once.) DEFCOLUMNS=$(stty size 2>/dev/null | awk '{print $2}') || true if ! expr "$DEFCOLUMNS" : "[[:digit:]]\+$" >/dev/null 2>&1; then DEFCOLUMNS=80 fi # Display a message, wrapping lines at the terminal width. message () { echo "$*" | fmt -t -w ${COLUMNS:-$DEFCOLUMNS} } # Display a warning message. warn () { message "warning: $*" >&2 } # Display an error message and exit. die () { message "fatal error: $*" >&2 exit 1 } # Display a usage message. usage () { if [ -n "$*" ]; then message "usage error: $*" fi cat <<EOF Usage: $PROGNAME [OPTIONS] DIRECTORY ... $PROGNAME { -h | --help } This program combines X font alias information from several packages into a single file that is placed in each specified X font directory DIRECTORY. This utility is primarily useful to Debian package maintainer scripts. See update-fonts-alias(8) for more information. Options: -h, --help display this usage message and exit -i, --include ALIAS-FILE drop ALIAS-FILE from exlude list if any -x, --exclude ALIAS-FILE add ALIAS-FILE to exclude list EOF } X11R7_LAYOUT= INCLUDE_ALIAS= EXCLUDE_ALIAS= EXCLUDE_CONF=/var/lib/xfonts/excluded-aliases # Validate options. while [ $# -gt 0 ]; do case "$1" in -h|--help) usage exit 0 ;; -7|--x11r7-layout) X11R7_LAYOUT=true shift ;; -i|--include) if [ $# -lt 2 ]; then usage "alias file to include is missing" >&2 exit 2 fi INCLUDE_ALIAS="$INCLUDE_ALIAS $2" shift 2 ;; -x|--exclude) if [ $# -lt 2 ]; then usage "alias file to exclude is missing" >&2 exit 2 fi EXCLUDE_ALIAS="$EXCLUDE_ALIAS $2" shift 2 ;; -*) usage "unrecognized option" >&2 exit 2 ;; *) break ;; esac done if [ $# -eq 0 ]; then usage "one or more font directories must be specified" >&2 exit 2 fi # Remove aliases to be included from exclude list for f in $INCLUDE_ALIAS; do sed -i "\\,^$f$,d" $EXCLUDE_CONF done # Add aliases to be excluded to exclude list for f in $EXCLUDE_ALIAS; do sed -i "\\,^$f$,d" $EXCLUDE_CONF echo "$f" >> $EXCLUDE_CONF done while [ -n "$1" ]; do # Try to be clever about the argument; were we given an absolute path? if expr "$1" : "/.*" >/dev/null 2>&1; then # Yes; an absolute path to an X font directory was provided. X11R7DIR=$1 ETCDIR=/etc/X11/fonts/${X11R7DIR##*/} ETC7DIR=/etc/X11/fonts/X11R7/${X11R7DIR##*/} if [ "$X11R7DIR" = "$ETCDIR" ] || [ "$X11R7DIR" = "$ETC7DIR" ]; then # We were given an /etc directory as an argument. die "path to X font directory must be used" else warn "absolute path $X11R7DIR was provided" fi else # No; a relative path was provided -- assume we were given just the # basename. X11R7DIR=/usr/share/fonts/X11/$1 ETCDIR=/etc/X11/fonts/$1 ETC7DIR=/etc/X11/fonts/X11R7/$1 fi shift # Confirm that the directories to be operated on exist. VALIDSRC= if [ -d "$ETCDIR" ]; then VALIDSRC=yes else warn "$ETCDIR does not exist or is not a directory" fi if [ -d "$ETC7DIR" ]; then VALIDSRC=yes else if [ -n "$X11R7_LAYOUT" ]; then warn "$ETC7DIR does not exist or is not a directory" fi fi VALIDDEST= if [ -d "$X11R7DIR" ]; then VALIDDEST=yes else warn "$X11R7DIR does not exist or is not a directory" fi if [ -z "$VALIDSRC" ] || [ -z "$VALIDDEST" ]; then continue fi if [ -n "$X11R7DIR" ] && [ -d "$X11R7DIR" ]; then # Write the new alias file in a temporary location in case we are # interrupted. cat >"$X11R7DIR/fonts.alias.update-new" <<EOF !! fonts.alias -- automatically generated file. DO NOT EDIT. !! To modify, see update-fonts-alias(8). EOF has_data=0 for FILE in "$ETCDIR"/*.alias "$ETC7DIR"/*.alias; do [ -e "$FILE" ] || continue # Skip excluded aliases grep -q "^$FILE$" $EXCLUDE_CONF && continue echo "!! $FILE" >>"$X11R7DIR/fonts.alias.update-new" cat "$FILE" >>"$X11R7DIR/fonts.alias.update-new" has_data=1 done if [ $has_data -eq 1 ]; then mv "$X11R7DIR/fonts.alias.update-new" "$X11R7DIR/fonts.alias" else rm -f "$X11R7DIR/fonts.alias.update-new" # There are no files to process; remove any alias file already in # the font directory. rm -f "$X11R7DIR/fonts.alias" # Remove the font directory if it is empty. rmdir "$X11R7DIR" >/dev/null 2>&1 || true fi fi done exit 0 # vim:set ai et sts=4 sw=4 tw=80:
Upload File
Create Folder